[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.Add

Add a string to the list

## Declaration

Source position: classesh.inc line 651

`public function TStrings.Add(`
`const S: string`
`):Integer; virtual;`

## Description

Add adds S at the end of the list and returns the index of S in the list (which should equal Tstrings.Count

## See also

TStrings.Objects |  | Indexed access to the objects associated with the strings in the list.
TStrings.AddObject |  | Add a string and associated object to the list.
TStrings.Insert |  | Insert a string in the list.
TStrings.Delete |  | Delete a string from the list.
TStrings.Strings |  | Indexed access to the strings in the list.
TStrings.Count |  | Number of strings in the list.

Documentation generated on: Feb 26 2014